Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.vehiclerouting.persistence
Class VehicleRoutingImporter

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionImporter
              org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter
                  org.optaplanner.examples.vehiclerouting.persistence.VehicleRoutingImporter

    public class VehicleRoutingImporter

extends AbstractTxtSolutionImporter

Nested Class Summary
`static class` | `VehicleRoutingImporter.VehicleRoutingInputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter
`AbstractTxtSolutionImporter.TxtInputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionImporter
`AbstractSolutionImporter.InputBuilder`

Field Summary

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionImporter
`DEFAULT_OUTPUT_FILE_SUFFIX, inputDir, outputDir, solutionDao`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`VehicleRoutingImporter()`
`VehicleRoutingImporter(boolean withoutDao)`

Method Summary
`AbstractTxtSolutionImporter.TxtInputBuilder` | `createTxtInputBuilder()`
`String` | `getInputFileSuffix()`
`static void` | `main(String[] args)`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter
`readSolution, readSolution`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionImporter
`acceptInputFile, acceptInputFileDuringBulkConvert, convert, convert, convertAll, getFlooredPossibleSolutionSize, getInputDir, getOutputDir, getOutputFileSuffix, isInputFileDirectory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VehicleRoutingImporter

    public VehicleRoutingImporter()

### VehicleRoutingImporter

    public VehicleRoutingImporter(boolean withoutDao)

Method Detail

### main

    public static void main(String[] args)

### getInputFileSuffix

    public String getInputFileSuffix()

  Overrides:
    `getInputFileSuffix` in class `AbstractTxtSolutionImporter`

### createTxtInputBuilder

    public AbstractTxtSolutionImporter.TxtInputBuilder createTxtInputBuilder()

  Specified by:
    `createTxtInputBuilder` in class `AbstractTxtSolutionImporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.